***

title: update
slug: /reference/typescript/rest/fabric/cxml-webhooks/update
description: Partially update a cXML webhook resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Partially update a cXML webhook resource. Uses PATCH for partial.

<EndpointSchemaSnippet endpoint="PATCH /api/fabric/resources/cxml_webhooks/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="PATCH /api/fabric/resources/cxml_webhooks/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const updated = await client.fabric.cxmlWebhooks.update("webhook-id", {
  name: "updated-name",
});
console.log("Updated:", updated.display_name);
```